Bug 1293358 - LUKS device won't mount at boot time? [NEEDINFO]
LUKS device won't mount at boot time?
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-21 09:23 EST by Jeremie R.
Modified: 2016-10-26 12:47 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-26 12:47:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
labbott: needinfo? (rapinj)


Attachments (Terms of Use)

  None (edit)
Description Jeremie R. 2015-12-21 09:23:03 EST
Description of problem:

After a fresh install of Fedora 23,
I updated the kernel to 4.2.7 (in place of 4.2.3). (try also with 4.2.8).

After the kernel selection (at boot), the crypto prompt isn't displayed.
The boot fails, then the dracut prompt is displayed.

Message displayed:

Warning Crypto LUKS UUID not found
plymouthd received: SIGRTMIN+20
dracut-initqueue: could not boot.

It seems that the kernel don't found the LUKS partition. No prompt is displayed.
Then it looks for the logical volume, but don't find it because it's crypted.

Also:

If I select 4.2.3 at prompt, all works fine. Failed only with 4.2.7 & 4.2.8.
I use 2 DD in Raid 1:


lsblk -o name,uuid,mountpoint

NAME                                            UUID                                   MOUNTPOINT
sda                                                                                    
└─md126                                                                                
  ├─md126p1                                     b3cf83f9-bc15-4ba5-aee8-736ac4a777ed   
  ├─md126p2                                     0ad8a939-74ff-4a3d-9d7d-87636c6ebb36   /boot
  └─md126p3                                     8f451528-e25e-4fd0-abcd-de09435bf44b   
    └─luks-8f451528-e25e-4fd0-abcd-de09435bf44b rpJQIU-eBRT-Qb2K-9MrQ-z2Lj-m4rr-dYD8sQ 
      ├─fedora-root                             7f8183a1-e7ef-428a-8be2-d76aa54d6843   /
      ├─fedora-swap                             bfed9863-5fca-4912-8f93-90e61dbaa4fd   [SWAP]
      └─fedora-home                             4c31656e-175c-40d5-9609-d665818bf829   /home
sdb                                                                                    
└─md126                                                                                
  ├─md126p1                                     b3cf83f9-bc15-4ba5-aee8-736ac4a777ed   
  ├─md126p2                                     0ad8a939-74ff-4a3d-9d7d-87636c6ebb36   /boot
  └─md126p3                                     8f451528-e25e-4fd0-abcd-de09435bf44b   
    └─luks-8f451528-e25e-4fd0-abcd-de09435bf44b rpJQIU-eBRT-Qb2K-9MrQ-z2Lj-m4rr-dYD8sQ 
      ├─fedora-root                             7f8183a1-e7ef-428a-8be2-d76aa54d6843   /
      ├─fedora-swap                             bfed9863-5fca-4912-8f93-90e61dbaa4fd   [SWAP]
      └─fedora-home                             4c31656e-175c-40d5-9609-d665818bf829   /home

cat /etc/crypttab
luks-8f451528-e25e-4fd0-abcd-de09435bf44b UUID=8f451528-e25e-4fd0-abcd-de09435bf44b none 

cat /etc/fstab
...
/dev/mapper/fedora-root /                       ext4    defaults,x-systemd.device-timeout=0 1 1
UUID=0ad8a939-74ff-4a3d-9d7d-87636c6ebb36 /boot                   ext4    defaults        1 2
/dev/mapper/fedora-home /home                   ext4    defaults,x-systemd.device-timeout=0 1 2
/dev/mapper/fedora-swap swap                    swap    defaults,x-systemd.device-timeout=0 0 0
...
Comment 1 Josh Boyer 2016-01-04 08:17:34 EST
This is most likely something else in the initramfs for the newer kernels that is broken.  Were there other updates before or at the same time 4.2.7 was installed?
Comment 2 Jeremie R. 2016-01-09 08:44:43 EST
Fedora 23 is provided with a 4.2.6 kernel and this one works as well.
The first kernel updated after the installation is the 4.2.7.
And I'm agree with you, initramfs seems to be the guilty.
Comment 3 Laura Abbott 2016-09-23 15:30:42 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 4 Laura Abbott 2016-10-26 12:47:02 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.